## libaudiomask 1.0

=== Makefile ===
# libaudiomask - hybrid simultaneous audio masking threshold evaluation library
#    Copyright (C) 2000-2010  Dr Matthew Raphael Flax
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

SRC=MooreSpread.cc AudioMask.cc AudioMasker.cc depukfb.cc 
HDR=$(SRC:.cc=.cc)
OBJ=$(SRC:.cc=.o)
.cc.o:
	$(CC) -fPIC -c $<
.C.o:
	$(CC) -fPIC -c $<

CC=g++ -O3 -Wall

MAKELIB=$(CC) -shared -Wl,-soname

all: $(OBJ) \
	libs \
	ex

libs:
	$(MAKELIB),libAudioMask.so.0.1 -o libAudioMask.so.0.1 $(OBJ)

ex:
	$(CC) -L/home/flatmax/lib -lfftw3 -lfft $(OBJ) -o AudioMaskerExample AudioMaskerExample.cc

clean:
	rm -f *~ $(OBJ) AudioMaskerExample AudioMaskExample MooreSpreadExample lib* *.mask *.dat *.pow w *.s

MooreSpread.o: MooreSpread.H
mask.o: MooreSpread.H mask.H
AudioMasker.o: AudioMasker.H ../depukfb/depukfb.H

=== debian/changelog ===
libaudiomask (1.0-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Disabled parallel build as makefile can not handle it.
  * Added 1050-build-flags.patch to use Debian default build flags.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 09 May 2025 08:52:39 +0200

libaudiomask (1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 15:57:21 +0200

libaudiomask (1.0-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #845592)
  * Properly link against mffm-fft1.  (Closes: #695606)
  * Fix up library symlinks.  (Closes: #709641)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Dec 2016 01:21:59 +0100

libaudiomask (1.0-2) unstable; urgency=low

  * Fixed build-depends (CLoses: #587433)
  * Fixed the makefile so that 'make ex' now compiles.
  * Added the example input audio.44100.txt file.

 -- mffm Matt Flax (2003) <flatmax@ieee.org>  Wed, 30 Jun 2010 06:58:50 +1000

libaudiomask (1.0-1) unstable; urgency=low

  * Initial release (Closes: #525768)
  * Adjusted the Makefile to install documentation and compile the example

 -- mffm Matt Flax (2003) <flatmax@ieee.org>  Sat, 19 Jun 2010 15:43:32 +1000

=== debian/control ===
Source: libaudiomask
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libfftw3-dev,
               mffm-fftw-dev,
Standards-Version: 4.7.0
Section: libs
Vcs-Browser: https://salsa.debian.org/debian/libaudiomask
Vcs-Git: https://salsa.debian.org/debian/libaudiomask.git

Package: libaudiomask-dev
Section: libdevel
Architecture: any
Depends: libaudiomask1 (= ${binary:Version}),
         libfftw3-dev,
         mffm-fftw-dev,
         ${misc:Depends},
Description: Audio masking threshold estimation lib headers, docs and examples
 Evaluates the simultaneous masking threshold for audio. The masking threshold
 is a psychoacoustics property of the perception of sound. This threshold
 determines the cut-off in perception. Any Fourier signal below the threshold
 is not perceived by listeners.
 .
 Simultaneous masking is the basis of mp3 audio compression. This GPL
 implementation allows arbitrary sample rate and window sizes. It is extremely
 simple to use, rather cheap in computation complexity and gives great results.
 To alter the degree of masking (quality of the playback after compression),
 simply shift the threshold this library generates up and down.
 .
 The development files are found in the documentation directory under
 /usr/share/doc.
 It includes a good API, as well as examples. The examples include C++ and an
 octave file to view the result.

Package: libaudiomask1
Architecture: any
Depends: mffm-fftw1 | mffm-fftw1c2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Audio masking threshold estimation library
 Evaluates the simultaneous masking threshold for audio. The masking threshold
 is a psychoacoustics property of the perception of sound. This threshold
 determines the cut-off in perception. Any Fourier signal below the threshold is
 not perceived by listeners.
 .
 Simultaneous masking is the basis of mp3 audio compression. This GPL
 implementation allows arbitrary sample rate and window sizes. It is extremely
 simple to use, rather cheap in computation complexity and gives great results.
 To alter the degree of masking (quality of the playback after compression),
 simply shift the threshold this library generates up and down.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --no-parallel
